unit uFundPUebungsprojekt;

{ **************************************************************************** }
{ **************************************************************************** }

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Spin, Buttons, ExtCtrls;

type
  TForm1 = class(TForm)
    LblX: TLabel;
    LblY: TLabel;
    SpnEdtX: TSpinEdit;
    SpnEdtY: TSpinEdit;
    BtnPlus: TButton;
    EdtPlus: TEdit;
    BtnMal: TButton;
    EdtMal: TEdit;
    BtnPotenz: TButton;
    EdtPotenz: TEdit;
    BtnFak: TButton;
    EdtFak: TEdit;
    BtnReset: TButton;
    BtnZufall: TButton;
    BtnZaehle: TButton;
    PnlUeberschrift: TPanel;
    GrpBoxEingabe: TGroupBox;
    GrpBoxVerarbeitung: TGroupBox;
    GrpBoxAusgabe: TGroupBox;
    BitBtnSchliessen: TBitBtn;
    procedure BtnPlusClick(Sender: TObject);
    procedure BtnMalClick(Sender: TObject);
    procedure BtnPotenzClick(Sender: TObject);
    procedure BtnFakClick(Sender: TObject);
    procedure BtnZaehleClick(Sender: TObject);
    procedure BtnZufallClick(Sender: TObject);
    procedure BtnResetClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

{ **************************************************************************** }
{ **************************************************************************** }

implementation

{$R *.dfm}

{ ***  Eigene Prozeduren  **************************************************** }

procedure Zufallseingabe;
begin
  Form1.SpnEdtX.Value := Random(100);
  Form1.SpnEdtY.Value := Random(100);
end;

{ **************************************************************************** }

{ Aufgabe 1c }
{ Hier die Prozedur "EditInhalteLoeschen" implementieren }

{ **************************************************************************** }

{ Aufgabe 2 }
{ Hier die Prozedur "ZaehleVonBis" mit Parameteruebergabe implementieren }

procedure ZaehleVonBis(von,bis: Integer);
begin

end;


{ **************************************************************************** }
{ ***  Eigene Funktionen  **************************************************** }

function Addiere(Summand1,Summand2: Integer): Integer;
begin
  Result := Summand1 + Summand2;
end;

{ **************************************************************************** }

{ Aufgabe 3b }
{ Hier die Funktion "Multipliziere" implementieren }

{ **************************************************************************** }

{ Aufgabe 3c }
{ Hier die Funktion "Potenziere" oder "Fakultaet" (oder beide) implementieren }


{ **************************************************************************** }
{ ***  Ereignis-Methoden  **************************************************** }

procedure TForm1.FormCreate(Sender: TObject);
begin
  Randomize;
end;

{ **************************************************************************** }

procedure TForm1.BtnZufallClick(Sender: TObject);
begin
  { Aufgabe 1a }
  { Hier die Prozedur "Zufallseingabe" aufrufen }

  { Aufgabe 1d }
  { Hier die Prozedur "EditInhalteLoeschen" aufrufen }
end;

{ **************************************************************************** }

procedure TForm1.BtnResetClick(Sender: TObject);
begin
  { Aufgabe 1c }
  { Folgenden Code in eine eigene Prozedur namens "EditInhalteLoeschen" auslagern und diese dann aufrufen }
  EdtPlus.Text := '';
  EdtMal.Text := '';
  EdtPotenz.Text := '';
  EdtFak.Text := '';
end;

{ **************************************************************************** }

procedure TForm1.BtnZaehleClick(Sender: TObject);
var
  x,y: Integer;
begin
  { Eingabe }
  x := SpnEdtX.Value;
  y := SpnEdtY.Value;

  { Aufgabe 2 }
  { Weiter oben die Prozedur "ZaehleVonBis" mit Parameteruebergabe implementieren, }
  { damit der Aufruf in der folgenden Zeile ausgefuehrt werden kann: }
  // ZaehleVonBis(x,y); {<-- Kommentarzeichen // am Zeilenanfang entfernen! }
end;

{ **************************************************************************** }

procedure TForm1.BtnPlusClick(Sender: TObject);
var
  x,y,Ergebnis: Integer;
begin
  { Aufgabe 3a }
  { Hier stimmt etwas nicht. Korrigieren Sie den Fehler! }

  { Eingabe }
  x := SpnEdtX.Value;
  y := SpnEdtY.Value;

  { Verarbeitung }
  Ergebnis := Addiere(x,x);

  { Ausgabe }
  EdtPlus.Text := IntToStr(Ergebnis);
end;

{ **************************************************************************** }

procedure TForm1.BtnMalClick(Sender: TObject);
var
  x,y,Ergebnis: Integer;
begin
  { Eingabe }
  x := SpnEdtX.Value;
  y := SpnEdtY.Value;

  { Verarbeitung }
  { Aufgabe 3b }
  { Weiter oben die Funktion "Multipliziere" implementieren; verwenden Sie diese
    Funktion hier, um "Ergebnis" als Produkt von "x" und "y" zu berechnen }

  { Ausgabe }
  EdtMal.Text := IntToStr(Ergebnis);
end;

{ **************************************************************************** }

procedure TForm1.BtnPotenzClick(Sender: TObject);
var
  x,y,Ergebnis: Integer;
begin
  { Eingabe }
  x := SpnEdtX.Value;
  y := SpnEdtY.Value;

  { Verarbeitung }
  { Aufgabe 3c - Wahlmoeglichkeit 1 }

  { Weiter oben die Funktion "Potenziere" implementieren; verwenden Sie diese
    Funktion hier, um "Ergebnis" als Potenz der Basis "x" mit Exponent "y" (kurz:
    "x hoch y") zu berechnen }

  { Ausgabe }
  EdtPotenz.Text := IntToStr(Ergebnis);
end;

{ **************************************************************************** }

procedure TForm1.BtnFakClick(Sender: TObject);
var
  x,Ergebnis: Integer;
begin
  { Eingabe }
  x := SpnEdtX.Value;

  { Verarbeitung }
  { Aufgabe 3c - Wahlmoeglichkeit 2 }

  { Weiter oben die Funktion "Fakultaet" implementieren; verwenden Sie diese
    Funktion hier, um "Ergebnis" als Fakultaet von "x" zu berechnen }

  { Ausgabe }
  EdtFak.Text := IntToStr(Ergebnis);
end;

{ **************************************************************************** }
{ **************************************************************************** }

end.
